org.optaplanner.core.impl.score.stream.bavet

## Class BavetConstraint<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractConstraint<Solution_,BavetConstraintFactory<Solution_>>
  - - org.optaplanner.core.impl.score.stream.bavet.BavetConstraint<Solution_>

- All Implemented Interfaces:
    Constraint

      public final class BavetConstraint<Solution_>
      extends AbstractConstraint<Solution_,BavetConstraintFactory<Solution_>>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.common.AbstractConstraint

      `constraintFactory, constraintName, constraintPackage, scoreImpactType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BavetConstraint(BavetConstraintFactory<Solution_> constraintFactory, String constraintPackage, String constraintName, Function<Solution_,Score<?>> constraintWeightExtractor, ScoreImpactType scoreImpactType, boolean isConstraintWeightConfigurable, List<BavetFromUniConstraintStream<Solution_,Object>> fromStreamList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createNodes(BavetNodeBuildPolicy<Solution_> buildPolicy, Map<Class<?>,BavetFromUniNode<Object>> declaredClassToNodeMap, Score<?> constraintWeight)`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractConstraint

      `assertCorrectImpact, assertCorrectImpact, assertCorrectImpact, extractConstraintWeight, getConstraintFactory, getConstraintName, getConstraintPackage, getScoreImpactType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.Constraint

      `getConstraintId`

- - ### Constructor Detail

    - #### BavetConstraint

          public BavetConstraint(BavetConstraintFactory<Solution_> constraintFactory,
                                 String constraintPackage,
                                 String constraintName,
                                 Function<Solution_,Score<?>> constraintWeightExtractor,
                                 ScoreImpactType scoreImpactType,
                                 boolean isConstraintWeightConfigurable,
                                 List<BavetFromUniConstraintStream<Solution_,Object>> fromStreamList)

  - ### Method Detail

    - #### createNodes

          public void createNodes(BavetNodeBuildPolicy<Solution_> buildPolicy,
                                  Map<Class<?>,BavetFromUniNode<Object>> declaredClassToNodeMap,
                                  Score<?> constraintWeight)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.